Bug 57492 - no keyboard input after opening password protected .ods
Summary: no keyboard input after opening password protected .ods
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: high normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: noRepro:4.2.0.4:Ubuntu
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-24 17:37 UTC by almos
Modified: 2017-07-28 15:05 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
secret.ods (10.63 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-12-11 14:35 UTC, almos
Details
List of most recent upgrades prior to appearance of this bug on my system. (2.06 KB, text/plain)
2014-11-14 13:16 UTC, r.stiltskin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description almos 2012-11-24 17:37:03 UTC
I have a password protected spreadsheet, which I need to open and edit sometimes. It worked fine for a long time, but recently when I open it LO completely loses keyboard input to all of its windows when the password prompt disappears. After I close all LO windows and reopen, the keyboard is back.

LibreOffice 3.5.4.2 on Debian unstable, KDE 4.8.4
Comment 1 bfoman (inactive) 2013-06-12 13:10:25 UTC
Is this still an issue in the latest stable release?
Comment 2 almos 2013-06-13 00:35:36 UTC
It is still an issue with LO 4.0.3 and KDE 4.10.2. The password input dialog always makes LO lose keyboard input, but there are some other random occasions when it happens. It is mostly related to dialogs, like renaming a worksheet.
Comment 3 almos 2013-11-25 18:49:49 UTC
This issue is still present with current versions: LO 4.1.3.2, KDE 4.10.5.

The problem seems to occur with all dialogs that have a text input field, e.g. renaming a sheet in Calc, but it doesn't always happen. The password dialog always triggers the issue. When such a dialog is opened again, the dialog has keyboard input, but the main LO window has not.
Comment 4 tommy27 2013-12-11 05:56:58 UTC
could you try to upload a dummy password-protected .ods?
is the bug happening just with the file you are using or with any password-protected file?
Comment 5 almos 2013-12-11 14:35:31 UTC
Created attachment 90608 [details]
secret.ods

Password is "password".

I have a hunch that this problem stems from interaction with iBus, but I didn't have time to test it yet.
Comment 6 tommy27 2013-12-11 20:13:48 UTC
@almos
are you maybe complaining that once the password dialog pops out you cannot enter any text in other LibO windows, until you close the password dialog?
is it this the bug you are talking about?
Comment 7 almos 2013-12-11 21:27:23 UTC
(In reply to comment #6)
> @almos
> are you maybe complaining that once the password dialog pops out you cannot
> enter any text in other LibO windows, until you close the password dialog?
> is it this the bug you are talking about?

No. After the password dialog has been dismissed, no keyboard input is registered in any of the LO windows until I close them all, and start LO again. This makes working on password protected documents impossible.
Comment 8 tommy27 2013-12-12 01:27:56 UTC
Ok, I understand. So bug is not reproducible with LibO 4.1.3.2 under Win7 64bit.
probably a Linux specific issue. changed platform field
Comment 9 senya 2013-12-12 21:09:13 UTC
This bug is not reproducible on Ubuntu 13.10 amd64 with LXDE.
Comment 10 Robinson Tryon (qubit) 2014-02-04 14:52:45 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > @almos
> > are you maybe complaining that once the password dialog pops out you cannot
> > enter any text in other LibO windows, until you close the password dialog?
> > is it this the bug you are talking about?
> 
> No. After the password dialog has been dismissed, no keyboard input is
> registered in any of the LO windows until I close them all, and start LO
> again. This makes working on password protected documents impossible.

NOREPRO on Ubuntu 12.04.3 + LO 4.2.0.4.

Might be a KDE problem?
Comment 11 junk77011 2014-03-03 06:20:56 UTC
LO Version: 4.1.3.2, installed from ubuntu repositories
ubuntu 13.10 with the unity desktop, amd64
i'm not using the unity menubar integration (ie apt-get purge libreoffice-gtk,
because the integration breaks menu mnemonics, ie alt-f doesn't work)

any time i cancel a dialog, there's about a 50% chance that i'll lose the ability to enter any keyboard data in any LO window. it's possible that this happens sometimes when i select something other than cancel, but i haven't verified that

i'm not using password protection on anything, but it sounds like the same bug that almos is seeing, as he says "there are some other random occasions when it happens"

i believe i'm not using any KDE anything (atleast "ldd soffice.bin | grep kde" doesn't return anything, and nothing with "k" in it looks suspicious)
Comment 12 retired 2014-03-04 10:51:21 UTC
almos: Any news about this problem when using LO 4.2.1.1?
Comment 13 almos 2014-03-09 13:33:47 UTC
Now I installed LO 4.2.2.1 (the package version is 1:4.2.2~rc1-1) from experimental, and the problem is still there. Current KDE version is 4.11.5.
Comment 14 Lance 2014-04-23 19:43:39 UTC
I'm seeing the same problem on a new Xubuntu 14.04 32-bit installation.  Open password-protected spreadsheet, enter password, spreadsheet appears but Calc accepts no keyboard input.  All Calc windows exhibit same behavior until closing and reopening them.

Running LibreOffice Calc installed from Ubuntu, version string:
libreoffice-calc 1:4.2.3~rc3-0ubuntu2
Comment 15 joserahc 2014-04-24 14:56:02 UTC
Same thing happening here. Libreoffice calc. Sometimes when I open a protected xml-ods I´m not able to type anything in the password window and sometimes I can't do it in the sheet. Any idea? Thanks
Comment 16 tommy27 2014-06-15 14:19:18 UTC
set status to NEW because of 2 independent confirmations in comments above
Comment 17 Ferry Toth 2014-07-06 22:01:19 UTC
I may have a related problem:

When I have a Writer document open, then open a database with Base, then fill in login/pw in the dialog box (I have a postgresql backend) I cannot type anymore in the Writer window, enter anything in a Base table, form etc.

However, I can still navigate in the Base main window (select a table/form, press enter to open it).

As far as I can tell this happens after the login dialog. Closing all Libreoffice windows makes the problem go away.

This is new with LO 4.2.5.2 from the Libreoffice PPA, Kubuntu 14.04 + Kubuntu Updates PPA (KDELibs 4.13.2, Qt 4.8.6).
Comment 18 Ferry Toth 2014-07-08 21:05:00 UTC
On another machine (x86 instead of amd64) I don't seem to have this problem. Missing dependancy? Will investigatw further.
Comment 19 Ferry Toth 2014-07-09 16:27:10 UTC
More info:
1) On the same computer the problem with both the password protected spreadsheet and the login dialog for the pg database happen. This means this problem still occurs (or has reapeared in) 4.2.5.2

2) the keyboard only gets stuck when you complete the password by pressing enter. The problem does not occur when after typing the password click OK. This explains why #2 it seems to not reproduce.

Now I will go back to my other machines to verify if this problem occurs in the same way as well.
Comment 20 Ferry Toth 2014-07-11 10:30:34 UTC
On my 3 (almost identical Kubuntu) machines, the problem occurs only on one. However, on that one it happens consistently.

It might be a missing dependency.
Comment 21 Ferry Toth 2014-07-11 20:21:52 UTC
When starting LO from the command line on the machine with the problem, when opening secret.ods get:

X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 42 (X_SetInputFocus)
  Resource id:  0x64006c7

The other machines give not errors.
Comment 22 Ferry Toth 2014-07-11 20:40:51 UTC
OK

This problem goes away when removing the package libreoffice-kde

A difference in startup behavior that might be a clue to what's going wrong:
With libreoffice-kde when clicking on secret.ods in dolphin, LO starts with the password dialog *behind* all other windows.
Without libreoffice-kde (but with libreoffice-gnome/gtk/gtk3) LO starts with the password dialog *in front* all other windows.

It might have something to do with grabbing the focus.

Now the only puzzle: why on my other machines with libreoffice-kde the problem does not occur.
Comment 23 almos 2014-07-11 22:15:30 UTC
I don't have libreoffice-kde installed, yet I experience this bug.
Comment 24 Ferry Toth 2014-07-12 21:32:16 UTC
Can you config clicking OK instead of pressing ENTER is a workaround?
Comment 25 almos 2014-07-12 22:21:33 UTC
I tried a few times, and it seems like you're right: when pressing enter, keyboard is lost, but clicking on OK is fine. I never tried clicking OK before.
Comment 26 r.stiltskin 2014-11-14 13:16:44 UTC
Created attachment 109464 [details]
List of most recent upgrades prior to appearance of this bug on my system.
Comment 27 r.stiltskin 2014-11-14 13:20:11 UTC
I have had this same problem only for the past few days.  It is occurring on 2 machines - one is running Xubuntu 14.04 and the other is Kubuntu 14.04.  Both of them have been running these installations for several months using password-protected .ods files with no problem.

I can confirm that clicking OK rather than pressing Enter in the password dialog is a workaround.

I attached a list of packages upgraded on 11/07.  The problem seems to have appeared after that.
Comment 28 r.stiltskin 2014-11-19 05:09:16 UTC
I can now say that the list of "suspect" upgrades which I posted a few days ago is probably irrelevant to this bug.  Today I'm working at another machine running Xubuntu 14.04 (and no KDE libraries).  I have done all the same upgrades to this one, but here that bug does not occur.  The keyboard works normally and password-protected files can be edited as usual, regardless of whether I press Enter or click OK after entering the password.

Although both machines are running Xubuntu 14.04, there are many differences in the programs installed on the two machines -- many programs installed on one and not the other -- so maybe one of those is to blame.  But I notice that there are also many differences in the contents of ~/.config/libreoffice/... on the two machines and that's surprising since in both cases LO was installed from us.archive.ubuntu.com.
Comment 29 r.stiltskin 2014-11-21 04:23:04 UTC
This issue continues to occur, even when a newly created user creates a new test spreadsheet and saves it with a password.  However, if root opens a password-protected spreadsheet that was created by any user (including root), the keyboard remains fully-functional and the spreadsheet can be edited, regardless of whether root presses Enter or clicks OK after entering the password.

Does this provide any clues?
Comment 30 Alex Thurgood 2015-01-03 17:40:02 UTC
Adding self to CC if not already on
Comment 31 r.stiltskin 2015-01-23 23:36:09 UTC
Strangely, after a couple of weeks and for no apparent reason it began working correctly again.  For at least the last 5 weeks I've been able to open and edit password-protected files without any problems.  I have no idea how this happened -- certainly nothing that I did consciously.
Comment 32 tommy27 2015-01-24 05:35:30 UTC
@almos
@Ferry Toth

is the bug gone for you too with latest LibO release? if yes, mark this as RESOLVED WORKSFORME
Comment 33 Ferry Toth 2015-05-20 19:38:22 UTC
I currently have 4.4.2.2 (Kubuntu Vivid). 
I have not yet tried 4.4.3. 

For the spreadsheet attached to this bug report I can confirm that the bug is away.

However, when opening a Base form (#17) the problem still exists. I.e. when entering the password to the database (I am using psql sdbc driver to postgresql) followed by <enter> I can not enter anything after that, but when clicking OK no problem.

Seems one occurance of the bug is resolved the other not.

Note: you can not password protect an embedded HSQLDB. Base can however connect to a remote db that might (and most probably will) use a login/password. When opening a table or running a query the first time Base will pop up a dialog asking for the login/pw. This is the dialog causing the trouble.
Comment 34 tommy27 2015-10-04 16:02:52 UTC
(In reply to Ferry Toth from comment #33)
> I currently have 4.4.2.2 (Kubuntu Vivid). 
> I have not yet tried 4.4.3. 
> 
> For the spreadsheet attached to this bug report I can confirm that the bug
> is away.

so RESOLVED WORKSFORME

> However, when opening a Base form (#17) the problem still exists. I.e. when
> entering the password to the database (I am using psql sdbc driver to
> postgresql) followed by <enter> I can not enter anything after that, but
> when clicking OK no problem.
> 
> Seems one occurance of the bug is resolved the other not.

I think the best thing is to move on from this long report and file a new clean one about the Base issue if this is still happening with latest 4.4.5.2 or 5.0.2.2 releases.
Comment 35 almos 2015-10-27 23:29:08 UTC
I tried with 5.0.3.1 in Debian Unstable, and this seems fixed. Thanks.
Comment 36 tommy27 2015-10-28 06:06:24 UTC
@almos
correct status is WORKSFORME since we don't know the exact committ that FIXED it.
Comment 37 David Hedlund 2017-07-28 14:04:17 UTC
I verify that this bug is in libreoffice 4.2.8.2.

Pressing "OK" with the mouse cursor instead of hitting enter with the keyboard was the work around as tipsed (thank you).
Comment 38 David Hedlund 2017-07-28 14:29:54 UTC
I still have this issue in 5.3.4.2 (sudo add-apt-repository ppa:libreoffice/ppa). I assume this issue is of other origin (perhaps GTK?).
Comment 39 David Hedlund 2017-07-28 15:05:21 UTC
I'm using a Ubuntu 14.04-based distro.